[Asus K50IJ] Lucid Lynx - No automute (Headphone jack does not disable speakers on laptop)

Bug #565685 reported by mykrob on 2010-04-18
114
This bug affects 18 people
Affects Status Importance Assigned to Milestone
alsa-driver (Ubuntu)
Undecided
Unassigned

Bug Description

When I plug in my headphones on my laptop (Asus K50IJ) the headphones work, but the built in speaker does not mute.

I will the driver package from the PPA listed in this bug: https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/545299

but I also wanted to make sure this was documented in case someone else with the same chipset can offer suggestions or confirm the bug.

On a side note, this is not a regression, the problem existed in Karmic as well.

I have included the output of lshw in case this helps as well.

thanks

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
ProcVersionSignature: Ubuntu 2.6.32-20.30-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-20-generic i686
AlsaVersion:
 Advanced Linux Sound Architecture Driver Version 1.0.22.1.
 Compiled on Apr 11 2010 for kernel 2.6.32-20-generic (SMP).
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: VT1708S Analog [VT1708S Analog]
   Subdevices: 1/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: VT1708S Analog [VT1708S Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: myk 1447 F.... pulseaudio
 /dev/snd/pcmC0D0p: myk 1447 F...m pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe9f4000 irq 28'
   Mixer name : 'VIA VT1708S'
   Components : 'HDA:11060397,10431111,00100000'
   Controls : 20
   Simple ctrls : 13
Date: Sat Apr 17 19:18:16 2010
InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: alsa-driver
dmi.bios.date: 12/04/2009
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 217
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: K50IJ
dmi.board.vendor: ASUSTeK Computer Inc.
dmi.board.version: 1.0
dmi.chassis.asset.tag: ATN12345678901234567
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK Computer Inc.
dmi.chassis.version: 1.0
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr217:bd12/04/2009:svnASUSTeKComputerInc.:pnK50IJ:pvr1.0:rvnASUSTeKComputerInc.:rnK50IJ:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
dmi.product.name: K50IJ
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK Computer Inc.

mykrob (myk-robinson) wrote :
mykrob (myk-robinson) wrote :

I installed the linux alsa driver package from the PPA, and still no change, so I am open to suggestions, as is my family.. They don't like my music nearly as much as I do :)

Thanks

mykrob (myk-robinson) wrote :

Any progress on this? Am I the only one effected?

mykrob (myk-robinson) wrote :

Checking back in again. Surely this is affecting people other than just myself.

Thanks,
-myk

MrPotter (mrpotter) wrote :

have the same problem.

MrPotter (mrpotter) wrote :

any news?
Here is my bug report generated by alsa.info.sh:
http://www.alsa-project.org/db/?f=353850fcf7239d037ca811441839bc4d6c3b7073

I have the same problem (Asus K50AD). It's really annoying.
My alsa.info.sh output can be found from http://www.alsa-project.org/db/?f=2536e19ca84157b1e835dae2058b1e274032e66e

After some googling I found this workaround: http://art.ubuntuforums.org/showpost.php?p=9298037&postcount=6
Instead of modifying modprobe.conf I edited alsa-base.conf, and after fiddling around in sound controls and plugging and unplugging the headphone jack I got them to work.

Still, it shouldn't be fixed this way.

No luck for me. I tried auto, 3stack, and 6stack-digout, as suggested in the
link you posted... Kinda disappointing, but other that that, everything else
works great...

On Mon, Jul 26, 2010 at 7:15 AM, hmyllyko <email address hidden> wrote:

> After some googling I found this workaround:
> http://art.ubuntuforums.org/showpost.php?p=9298037&postcount=6
> Instead of modifying modprobe.conf I edited alsa-base.conf, and after
> fiddling around in sound controls and plugging and unplugging the headphone
> jack I got them to work.
>
> Still, it shouldn't be fixed this way.
>
> --
> 82801I (ICH9 Family) HD Audio Controller - Lucid Lynx - Headphone jack does
> not disable speakers on laptop
> https://bugs.launchpad.net/bugs/565685
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Gary M (garym) on 2010-08-28
tags: added: karmic
capi /. (barraponto) wrote :

alsamixer just shows me master, pcm and capture. although i don't see any snd-hda-intel in /etc/modprobe.d/alsa-base.conf

summary: - 82801I (ICH9 Family) HD Audio Controller - Lucid Lynx - Headphone jack
- does not disable speakers on laptop
+ [Asus K50IJ] Lucid Lynx - No automute (Headphone jack does not disable
+ speakers on laptop)
David Henningsson (diwic) wrote :

Hi folks,

Can you please test if you're still having the same problem in Maverick?
If so, and you're not having the same hardware as the original poster (see https://wiki.ubuntu.com/Audio/SameHardware ), can you please file a separate bug for your issue? Thanks!

Changed in alsa-driver (Ubuntu):
status: New → Incomplete

I had the same problem in Maverick as well. I have since bought a new
laptop, so I can't do any further testing for this bug.
Thanks,
-myk
On Oct 5, 2010 1:52 PM, "David Henningsson" <email address hidden>
wrote:
> Hi folks,
>
> Can you please test if you're still having the same problem in Maverick?
> If so, and you're not having the same hardware as the original poster (see
https://wiki.ubuntu.com/Audio/SameHardware ), can you please file a separate
bug for your issue? Thanks!
>
>
> ** Changed in: alsa-driver (Ubuntu)
> Status: New => Incomplete
>
> --
> [Asus K50IJ] Lucid Lynx - No automute (Headphone jack does not disable
speakers on laptop)
> https://bugs.launchpad.net/bugs/565685
> You received this bug notification because you are a direct subscriber
> of the bug.

MrPotter (mrpotter) wrote :

Problem is still there in Maverick.

nauman badar (nauman-gwt) wrote :
Download full text (3.1 KiB)

can you please tell about how to test maverick?
*
Best Regards
*

On Tue, Oct 5, 2010 at 9:28 PM, MrPotter <email address hidden> wrote:

> Problem is still there in Maverick.
>
> --
> [Asus K50IJ] Lucid Lynx - No automute (Headphone jack does not disable
> speakers on laptop)
> https://bugs.launchpad.net/bugs/565685
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “alsa-driver” package in Ubuntu: Incomplete
>
> Bug description:
> When I plug in my headphones on my laptop (Asus K50IJ) the headphones work,
> but the built in speaker does not mute.
>
> I will the driver package from the PPA listed in this bug:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/545299
>
> but I also wanted to make sure this was documented in case someone else
> with the same chipset can offer suggestions or confirm the bug.
>
> On a side note, this is not a regression, the problem existed in Karmic as
> well.
>
> I have included the output of lshw in case this helps as well.
>
> thanks
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.32-20.30-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-20-generic i686
> AlsaVersion:
> Advanced Linux Sound Architecture Driver Version 1.0.22.1.
> Compiled on Apr 11 2010 for kernel 2.6.32-20-generic (SMP).
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: VT1708S Analog [VT1708S Analog]
> Subdevices: 1/2
> Subdevice #0: subdevice #0
> Subdevice #1: subdevice #1
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: VT1708S Analog [VT1708S Analog]
> Subdevices: 2/2
> Subdevice #0: subdevice #0
> Subdevice #1: subdevice #1
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: myk 1447 F.... pulseaudio
> /dev/snd/pcmC0D0p: myk 1447 F...m pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfe9f4000 irq 28'
> Mixer name : 'VIA VT1708S'
> Components : 'HDA:11060397,10431111,00100000'
> Controls : 20
> Simple ctrls : 13
> Date: Sat Apr 17 19:18:16 2010
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
> PackageArchitecture: all
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> SourcePackage: alsa-driver
> dmi.bios.date: 12/04/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 217
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: K50IJ
> dmi.board.vendor: ASUSTeK Computer Inc.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: ATN12345678901234567
> dmi.chassis.type: 10
> dmi.chassis.vendor: ASUSTeK Computer Inc.
> dmi.chassis.version: 1.0
> dmi.modalias:
> dmi:bvnAmericanMegatrendsInc.:bvr217:bd12/04/2009:svnASUSTeKComputerInc.:pnK50IJ:pvr1.0:rvnASUSTeKComputerInc.:rnK50IJ:rvr1.0:cvnASUSTeKComputerInc.:ct10:cvr1.0:
> dmi.product.name: K50IJ
> dmi.product.version: 1.0
> dmi.sys.vendor: ASUSTeK Computer Inc.
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/565685/+subscrib...

Read more...

David Henningsson (diwic) wrote :

@nauman, The front page on www.ubuntu.com has a link to download Maverick. You can just try a live-CD and see if it works or not.

@MrPotter, okay. I get the feeling that probably is the presence detect that is broken rather than the consequences from it. I'll make a test package for you to test if that is the case or not.

David Henningsson (diwic) wrote :

Okay, here's a test package: http://people.canonical.com/~diwic/temp/alsa-intel-hda-diwic-unsol-debug-dkms_1.0.23.diwic_all.deb install and reboot. Every time you plug or unplug something, there should be a message in dmesg saying "Unsol event from codec". Does that message show up when you plug and unplug the headphone?

nauman badar (nauman-gwt) wrote :
Download full text (3.5 KiB)

Hi David

its perfect now. its working. is there a way to get this functionality in my
current Ubuntu 10.4 installation?

thanks!

*Best Regards
Nauman Badar*

On Wed, Oct 6, 2010 at 10:12 AM, David Henningsson <
<email address hidden>> wrote:

> @nauman, The front page on www.ubuntu.com has a link to download
> Maverick. You can just try a live-CD and see if it works or not.
>
> @MrPotter, okay. I get the feeling that probably is the presence detect
> that is broken rather than the consequences from it. I'll make a test
> package for you to test if that is the case or not.
>
> --
> [Asus K50IJ] Lucid Lynx - No automute (Headphone jack does not disable
> speakers on laptop)
> https://bugs.launchpad.net/bugs/565685
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “alsa-driver” package in Ubuntu: Incomplete
>
> Bug description:
> When I plug in my headphones on my laptop (Asus K50IJ) the headphones work,
> but the built in speaker does not mute.
>
> I will the driver package from the PPA listed in this bug:
> https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/545299
>
> but I also wanted to make sure this was documented in case someone else
> with the same chipset can offer suggestions or confirm the bug.
>
> On a side note, this is not a regression, the problem existed in Karmic as
> well.
>
> I have included the output of lshw in case this helps as well.
>
> thanks
>
> ProblemType: Bug
> DistroRelease: Ubuntu 10.04
> Package: alsa-base 1.0.22.1+dfsg-0ubuntu3
> ProcVersionSignature: Ubuntu 2.6.32-20.30-generic 2.6.32.11+drm33.2
> Uname: Linux 2.6.32-20-generic i686
> AlsaVersion:
> Advanced Linux Sound Architecture Driver Version 1.0.22.1.
> Compiled on Apr 11 2010 for kernel 2.6.32-20-generic (SMP).
> AplayDevices:
> **** List of PLAYBACK Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: VT1708S Analog [VT1708S Analog]
> Subdevices: 1/2
> Subdevice #0: subdevice #0
> Subdevice #1: subdevice #1
> Architecture: i386
> ArecordDevices:
> **** List of CAPTURE Hardware Devices ****
> card 0: Intel [HDA Intel], device 0: VT1708S Analog [VT1708S Analog]
> Subdevices: 2/2
> Subdevice #0: subdevice #0
> Subdevice #1: subdevice #1
> AudioDevicesInUse:
> USER PID ACCESS COMMAND
> /dev/snd/controlC0: myk 1447 F.... pulseaudio
> /dev/snd/pcmC0D0p: myk 1447 F...m pulseaudio
> Card0.Amixer.info:
> Card hw:0 'Intel'/'HDA Intel at 0xfe9f4000 irq 28'
> Mixer name : 'VIA VT1708S'
> Components : 'HDA:11060397,10431111,00100000'
> Controls : 20
> Simple ctrls : 13
> Date: Sat Apr 17 19:18:16 2010
> InstallationMedia: Ubuntu 10.04 "Lucid Lynx" - Beta i386 (20100318)
> PackageArchitecture: all
> ProcEnviron:
> LANG=en_US.utf8
> SHELL=/bin/bash
> SourcePackage: alsa-driver
> dmi.bios.date: 12/04/2009
> dmi.bios.vendor: American Megatrends Inc.
> dmi.bios.version: 217
> dmi.board.asset.tag: ATN12345678901234567
> dmi.board.name: K50IJ
> dmi.board.vendor: ASUSTeK Computer Inc.
> dmi.board.version: 1.0
> dmi.chassis.asset.tag: ATN12345678901234567
> dmi.chassis.type: 10
> dmi.chassis.vendor: ASUSTeK Computer Inc.
> dmi.chassis.ver...

Read more...

MrPotter (mrpotter) wrote :

Thats strange. Yesterday I upgraded Ubuntu 10.04 to the current release candidate 10.10. After the final reboot I noticed the known headphone problem. The internal speakers didn't mute after I plugged in my headphones ... But now, everything works fine and I'm not able to reproduce the error. In the coming days I will check my system again. At the moment I have not much time... Please be patient.

Evicaro (evicaro) wrote :

Same hardware, same problem, on Ubuntu 10.10...

The package posted by David Henningsson don't work on my laptop...

:(

Evicaro (evicaro) wrote :

After many attempts, i've installed Ubuntu 10.04.1 and the soundcard works well without any fix to do!

The strange thing is that the configuration files seem to be the same ...

Gary M (garym) on 2010-10-29
tags: added: hda-jack-sense
David Henningsson (diwic) wrote :

It would be interesting to know if anybody has tested the package written in comment #19. Note that the package isn't suppose to fix the bug but rather provide me with more information.
In particular, I would like to know if there is a log row in dmesg saying "unsol event from codec" everytime you plug or unplug a jack?

MrPotter (mrpotter) wrote :

Sorry for my late reply. In the syslog I got the following after I pluged in my headphones:
Oct 31 15:12:13 mrpotter-PC kernel: [ 62.854753] ALSA-HDA hda_codec.c:477: Unsol event from codec: tag = 5, response = 0

After I unpluged them, the same message appears in the log:
Oct 31 15:12:28 mrpotter-PC kernel: [ 77.369345] ALSA-HDA hda_codec.c:477: Unsol event from codec: tag = 5, response = 0

In my last post I wrote that everything works fine. That's true, but it was necessary to switch in the audio settings the "connector" from "Analog Output" to "Analog Headphones". Well, it solves not the major problem but it's a good workaround ...

David Henningsson (diwic) wrote :

@MrPotter, thanks.

Could we also get a reply from someone who still suffers from the bug, even with the package installed, to see if there are unsol events coming there as well (and also an alsainfo to confirm it's the same hardware)? Thanks!

I've the same problem, using Maverick; I've installed the package linked in comment #19, but it doesn't work in my laptop, here the output of dmesg:

[ 15.532662] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on minor 0
[ 15.896711] snd_hda_codec: disagrees about version of symbol snd_ctl_make_virtual_master
[ 15.896717] snd_hda_codec: Unknown symbol snd_ctl_make_virtual_master (err -22)
[ 15.897382] snd_hda_codec: disagrees about version of symbol snd_device_new
[ 15.897384] snd_hda_codec: Unknown symbol snd_device_new (err -22)
[ 15.897513] snd_hda_codec: disagrees about version of symbol _snd_ctl_add_slave
[ 15.897516] snd_hda_codec: Unknown symbol _snd_ctl_add_slave (err -22)
[ 15.897712] snd_hda_codec: disagrees about version of symbol snd_pci_quirk_lookup
[ 15.897714] snd_hda_codec: Unknown symbol snd_pci_quirk_lookup (err -22)
[ 15.897860] snd_hda_codec: disagrees about version of symbol snd_device_free
[ 15.897863] snd_hda_codec: Unknown symbol snd_device_free (err -22)
[ 15.897938] snd_hda_codec: disagrees about version of symbol snd_pcm_hw_constraint_step
[ 15.897941] snd_hda_codec: Unknown symbol snd_pcm_hw_constraint_step (err -22)
[ 16.344396] ip6_tables: (C) 2000-2006 Netfilter Core Team

David Henningsson (diwic) wrote :

@Alessio, thanks for testing. I think you have some alsa driver overrides installed, e g the daily snapshot. Could you please try to uninstall any alsa driver overrides (such as these: https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules ), then try my test package again? Thanks!

Download full text (8.2 KiB)

I've restored all the original packages and then installed your test package; output of dmesg:

[ 41.163067] ALSA-HDA hda_codec.c:1286: hda_codec_cleanup_stream: NID=0x13
[ 41.163374] ALSA-HDA hda_codec.c:1286: hda_codec_cleanup_stream: NID=0x13
[ 41.163737] ALSA-HDA hda_codec.c:1286: hda_codec_cleanup_stream: NID=0x13
[ 41.164195] ALSA-HDA hda_codec.c:1286: hda_codec_cleanup_stream: NID=0x13
[ 41.164842] ALSA-HDA hda_intel.c:1667: azx_pcm_prepare: bufsize=0x3700, format=0x4011
[ 41.164851] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x13, stream=0x1, channel=0, format=0x4011
[ 41.164868] ALSA-HDA hda_intel.c:1667: azx_pcm_prepare: bufsize=0x3700, format=0x4011
[ 41.164876] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x13, stream=0x1, channel=0, format=0x4011
[ 41.164893] ALSA-HDA hda_codec.c:1286: hda_codec_cleanup_stream: NID=0x13
[ 41.164918] ALSA-HDA hda_codec.c:1286: hda_codec_cleanup_stream: NID=0x13
[ 41.167396] ALSA-HDA hda_intel.c:1667: azx_pcm_prepare: bufsize=0x10000, format=0x4011
[ 41.167409] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x10, stream=0x5, channel=0, format=0x4011
[ 41.173101] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x25, stream=0x5, channel=0, format=0x4011
[ 41.181072] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x11, stream=0x5, channel=0, format=0x4011
[ 41.189052] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x24, stream=0x5, channel=0, format=0x4011
[ 41.197098] ALSA-HDA hda_intel.c:1667: azx_pcm_prepare: bufsize=0x10000, format=0x4011
[ 41.197106] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x10, stream=0x5, channel=0, format=0x4011
[ 41.197110] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x25, stream=0x5, channel=0, format=0x4011
[ 41.197113] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x11, stream=0x5, channel=0, format=0x4011
[ 41.197117] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x24, stream=0x5, channel=0, format=0x4011
[ 41.372550] ALSA-HDA hda_intel.c:1667: azx_pcm_prepare: bufsize=0x10000, format=0x4011
[ 41.372564] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x13, stream=0x1, channel=0, format=0x4011
[ 41.372579] ALSA-HDA hda_intel.c:1667: azx_pcm_prepare: bufsize=0x10000, format=0x4011
[ 41.372587] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x13, stream=0x1, channel=0, format=0x4011
[ 47.043922] ALSA-HDA hda_codec.c:1286: hda_codec_cleanup_stream: NID=0x13
[ 47.043940] ALSA-HDA hda_codec.c:1286: hda_codec_cleanup_stream: NID=0x13
[ 48.262729] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x10, stream=0x0, channel=0, format=0x0
[ 48.268051] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x11, stream=0x0, channel=0, format=0x0
[ 48.276050] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x24, stream=0x0, channel=0, format=0x0
[ 48.284051] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x25, stream=0x0, channel=0, format=0x0
[ 48.292084] ALSA-HDA hda_codec.c:1228: hda_codec_setup_stream: NID=0x10, stream=0x0, channel=0, format=0x0
[ 48.292088] ALSA-HDA hda_codec.c:1228: hd...

Read more...

I have installed Maverick and still have the same issue (Asus K50AD). It seems that some current updates have broken this altogether (at least for me) since my headphones are not working at all. Previously I've managed to get them to work using alsamixer by setting the Front value to 100 after plugging the headphones in. I installed David's package, but nothing happens when I plug/unplug the headphones.

Ivailo Partchev (partchev) wrote :

I have the same problem. When I plug in the jack, speakers and headphones are both muted. I can unmute them again, but not separately. gnome-alsamixer reports

** (gnome-alsamixer:5669): WARNING **: gam_toggle_get_state (). No idea what to do for mixer element "Independent HP"!

** (gnome-alsamixer:5669): WARNING **: gam_toggle_get_state (). No idea what to do for mixer element "Input Source"!

so there is no sense playing with the Independent HP control. In sound preferences, connector is either "Analog Output", and then LS and HP both play, or "Analog Headphones", in which case none plays. On K50IJ [HDA Intel] VT1708S, I have the latest kernel and alsa (both end in 23)

Joe Shaw (joeshaw) wrote :

David,

When I plug headphones into the jack, I get:

Unsol event from codec: tag = 4, response = 0

I get the same message when headphones are unplugged.

Joe Shaw (joeshaw) wrote :

I notice now that although the jack is green, it is labeled on the plastic as a "line out" jack. That fits with the tag=04 in the /proc/asound/card0/codec#0 file.

David Henningsson (diwic) wrote :

Joe, thanks, just to avoid confusion, can you confirm that although this line is printed, sound is still not working, i e, what outputs are sounding for you with this driver version, both if the headphones are plugged in and when they are not plugged in?

Joe Shaw (joeshaw) wrote :

David,

With your drivers, I actually couldn't get any output on the headphones. When I removed your package and rebooted, I got the sound.

I am actually looking at this bug from a different perspective. I'm working on an embedded product with two cards: an HDMI output from a separate "card" and the jack output on the VT1708S codec. I'm looking to get some sort of jack sense notification out of ALSA so I can handle it in PulseAudio and mute the HDMI output.

I've noticed the same problem (plugging in headphones doesn't mute internal speakers) on my Asus K50IJ (same hardware as original poster, my alsainfo output is attached).

After I installed David's test package, I get the following messages when plugging/unplugging the headpones:

Nov 7 14:00:51 Senfglas kernel: [ 1447.028388] ALSA-HDA hda_codec.c:477: Unsol event from codec: tag = 5, response = 0
Nov 7 14:01:31 Senfglas kernel: [ 1487.350866] ALSA-HDA hda_codec.c:477: Unsol event from codec: tag = 5, response = 0

Basically, everything on my systems seems to behave just as it does for MrPotter.

Ivailo Partchev (partchev) wrote :

Typing just to prevent this bug from vanishing into oblivion. I find it *very* embarassing to be unable to listen to anything without disturbing everyone else. It is either loudspeakers AND headphones or nothing at all, and I cannot call this a happy or clever decision.

James Benford (jwbenford459) wrote :

Ivailo, I also suffer from this bug and purchased Canonical's Desktop Support in order to procure a solution. After 9 weeks and 3 complaints they eventually admitted that they *could not* fix it and agreed to give me a refund. In light of this, I doubt you will get a solution here as from my experience many of the developers present on this bug tracker are also be employed to offer this "professional support" from Canonical.

If it is any consolation I have found that the daily builds released by the Debian team of their upcoming release, "Debian Squeeze", function perfectly with the headphone jack, speakers and all other hardware on my ASUS K50IJ. I will be switching to that distribution as soon as it goes stable so as to avoid the embarrassment to myself and irritation to others when I try to listen to music or watch video on my laptop.

Best Wishes.

Evicaro (evicaro) wrote :

@James Benford

I've solved with ubuntu 10.04, and, after many updates, all is working good.

MrPotter (mrpotter) wrote :

@Evicaro: thanks for your feedback. Can you provide us the ALSA information from alsa-info script? thx!
http://git.alsa-project.org/?p=alsa-driver.git;a=blob_plain;f=utils/alsa-info.sh

VandoCle (vando-clemente) wrote :

I have a K50IJ as well.

Speakers work fine, but when I plug the headphones in, sounds gets muted, when I bring the volume back up, it plays on both the speakers and headphones.

Had the same problem no matter what distro I tried.

But

Here is what is interesting, I tried a live USB of Google Chrome OS, I do not have this problem at all!!!

I know nothing of programming, and am really a newbie at linux, but it would seem to me, that someone who does know about it, could simply review the settings on Chrome OS and replicate that onto Ubuntu, but I could be wrong, someone please let me know.

I have the same problem. My computer is a K50IJ too.

Julia Bory (pi-ti) wrote :

I have the same problem. I use an Asus K51AC. Please fix this!

David Henningsson (diwic) wrote :

Yeah, I've been trying, but lack of time, hardware and knowledge has made it difficult so far :-(
Don't know if it helps anyone, but...
http://mailman.alsa-project.org/pipermail/alsa-devel/2011-January/035265.html
...some answers in that thread might cast some light on what "Independent HP" and "Smart 5.1" means, at least.

VandoCle (vando-clemente) wrote :

Under Fedora 14 which I realise may not be called for here, I have the same problem, however, after removing PulseAudio, and using alsamixer under terminal, the problem is non existent.

Under alsamixer:

Headphones - No effect on either headphone jack or internal speakers
Front - Seems to control the sound coming out of both outputs, however, stays muted or sound will come out of both outputs

Independent is Off - If on, no sound comes out of the headphone jack.

Hope it helps someone.

James Benford (jwbenford459) wrote :

I just switched my kernel to 2.6.32 with the instructions here - http://www.ramoonus.nl/2009/12/linux-kernel-2-6-32-installation-guide-for-ubuntu-linux/ - i'm sure there's a better way, probably involving Synaptic, but I haven't looked into it. Anyways, these instructions worked fine for me as far as installing the kernel goes. I then installed Start-Up Manager and used it to select the new kernel. It took about 10 minutes total, and after rebooting the situation is improved, if by no means perfect. The headphones now work and the sound volume can be adjusted without issue, however, if you mute the sound then unmute, the speakers and headphones come on in unison. Like I said, still a problem, but a lot better than before if you ask me.

Only side effect is that on my K50IJ is that I can no longer adjust the screen brightness from the slider in Power Options, however, this is a non issue for me as the hot keys (F5 and F6) still do the job.

Personally, I'm going to Debian when Squeeze goes live next weekend (also with the 2.6.32 kernel btw), but I hope this helps you long-term Ubuntu folks.

Benjamin Kraus (ben-benkraus) wrote :
Download full text (5.3 KiB)

I think I have the same problem described in this bug. If it is indeed the same problem, I think I've figured out what is happening and how to "fix" it very easily (at least, this worked for me). It is unclear to me if this is a bug exactly, or just an unexpected behavior. However, it seems to fit with the comment that other people have given.

For those who just want the solution that worked for me see the next comment.

To diagnose what was happening I used two programs, which remained open the whole time: gnome-volume-control (g-v-c) and alsamixer

The volume control slider and mute/unmute checkbox in "gnome-volume-control" control a bunch of channels (as they show up in alsamixer), but what channels are controlled depends on the "Connector" setting on the "Output" tab.

With "Analog Output" selected:

Mute/unmute in g-v-c mutes/unmutes the following: "Master Front", "Headphone", "Front", "Surround", "Center", "LFE", and "Side"
Volume in g-v-c controls "Master Front" then "Front" then all together "PCM", "Surround", "Center", "LFE", and "Side".

Plugging in headphones causes "Front" to be muted. However, when "Front" is muted, it triggers g-v-c to mute, which then mutes "Master Front", "Headphone", "Front", "Surround", "Center", "LFE", and "Side", stopping all sound from both headphones and speakers.
Unplugging headphones causes "Front" to be unmuted. However, everything else remains muted.

In alsamixer, muting any of the "Master Front", "Front", "Surround", "Center", "LFE", or "Side" channels also causes g-v-c to mute, which subsequently causes the remaining channels (including "Headphones") to be muted. However, unmuting any of these channels only unmutes that single channel, and even if you manually unmute all the channels, no sound is produced until you unmute in g-v-c. Also in alsamixer, there is a "Headphones" channel, but it is grayed out so you can only see it's status and not change it.

"Front" mutes/unmutes both the speakers and the headphones, and the volume controls both speakers and headphones.

With "Analog Headphones" selected:

Mute/unmute in g-v-c mutes/unmutes both "Master Front" and "Headphone".
Volume in g-v-c controls "Master Front", "Headphone", and "PCM" (in that order)

Plugging in headphones causes "Front" to be muted, which shuts off the speakers, but the headphones still work.
Unplugging headphones causes "Front" to be unmuted, which turns on the speakers.

Within alsamixer, muting "Master Front" causes g-v-c to mute, which subsequently mutes the "Headphones" channels. However, the "Front", "Surround", "Center", "LFE", and "Side" channels are no lounger coupled to g-v-c mute. Unmuting "Master Front" has no effect on g-v-c or the "Headphone" channel, so after muting "Master Front" to restore sound you have to unmute in g-v-c.

"Front" mutes/unmutes speakers, but does not effect headphones (headphones stay on in both cases).
However, the "Front" volume slider still controls both speakers and headphone volume.

There doesn't seem to be any way to directly control the "Headphone" slider or mute/unmute.

Switching from "Analog Output" to "Analog Headphones" causes the following to be muted and the *volumes to be tur...

Read more...

Benjamin Kraus (ben-benkraus) wrote :

These instructions got the headphones jacked working like I wanted: When I plug in my headphones the speakers automatically mute, and when I unplug them the speakers come back on.

1) Open gnome-volume-control
2) Click on the "Output" tab.
3) Change "Connector" to "Analog Headphones"
4) Open gnome-alsamixer
5) Turn the "Front" channel up to maximum volume.
6) Close gnome-alsamixer
7) Use gnome-volume-control to adjust volume/mute/unmute.

If you want both headphones and speakers, open gnome-alsamixer and unmute the "Front" channel.

The instructions given by Benjamin also worked on my ASUS X5DIJ laptop.
Thanks

diabolik2 (lui-palmiero) wrote :

Thank you Benjamin. Your solution below work on my ASUS K50AB. I suggest, also, this instruction "amixer set Front 30 unmute" after restarting PC.

---------
These instructions got the headphones jacked working like I wanted: When I plug in my headphones the speakers automatically mute, and when I unplug them the speakers come back on.

1) Open gnome-volume-control
2) Click on the "Output" tab.
3) Change "Connector" to "Analog Headphones"
4) Open gnome-alsamixer
5) Turn the "Front" channel up to maximum volume.
6) Close gnome-alsamixer
7) Use gnome-volume-control to adjust volume/mute/unmute.

If you want both headphones and speakers, open gnome-alsamixer and unmute the "Front" channel.

djdg (djdg) wrote :

Finally a very very big step towards the solution of this problem. But there is still one thing. After reboot I have to go to alsamixer again to turn op the front collumn. Isn't there a way to automate this? By the way; the headphone is still grey on my k50ij laptop.

Anyway, this is a big relief for me!

David Henningsson (diwic) wrote :

Work is going on upstream to rewrite the VIA drivers, so it might be worth a try to test the latest drivers again: https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

Victor (vbsbey) wrote :

The advice in comment #48 worked for me too. I have an Asus K50IJ with Ubuntu 11.04. It would be nice if this worked out of the box.

David Henningsson (diwic) wrote :

As of today, there is a fix pushed to Oneiric that does not mute the "Front" channel when the "analog headphones" profile is selected.

At the moment in oneiric I still having the problem (this is a regression, because in natty it was working better), please see bug 794390

djdg (djdg) wrote :

I'm sorry to see that with the upgrade the problem has come back :(

MrPotter (mrpotter) wrote :

I can confirm that.

Have you tried the solution proposed in https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/794390/comments/5? I've installed alsa-hda-dkms version 0.201111181453~oneiric1 and now auto mute works fine...

MrPotter (mrpotter) wrote :

thanks Alessio, also works fine for me with dkms-hda - 0.201202101152~oneiric1

Launchpad Janitor (janitor) wrote :

[Expired for alsa-driver (Ubuntu) because there has been no activity for 60 days.]

Changed in alsa-driver (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers